/*
 * GImageView
 * Copyright (C) 2001 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PREFS_WIN_H__
#define __PREFS_WIN_H__

#include "gimageview.h"

typedef GtkWidget *(*CreatePrefsPage)      ();
typedef void       (*PrefsWinMousePrefsCB) (GtkWidget *widget,
					    gpointer   data);

typedef struct PrefsPage_Tag {
   gchar           *title;
   gchar           *parent;
   gchar           *sibling;
   gchar           *icon;
   gchar           *icon_open;
   CreatePrefsPage  create_page_fn;

   /* private */
   GtkCTreeNode    *node;
   GtkWidget       *page;
} PrefsPage;

void       prefs_open_window  ();
gboolean   prefs_win_query    ();
GtkWidget *create_mouse_prefs (const gchar         **items,
			       const gchar          *defval,
			       gchar               **dest);


#define prefs_create_frame(label, frame, vbox, parent) \
{ \
   frame = gtk_frame_new (label); \
   gtk_container_set_border_width(GTK_CONTAINER (frame), 0); \
   gtk_box_pack_start(GTK_BOX (parent), frame, FALSE, TRUE, 0); \
   vbox = gtk_vbox_new (FALSE, 0); \
   gtk_container_set_border_width (GTK_CONTAINER(frame), 5); \
   gtk_container_add (GTK_CONTAINER (frame), vbox); \
}

#endif /* __PREFS_WIN_H__ */
